๐ Update a Creative
Updates an existing creative by ID.๐ค Request Example
curl -X PATCH https://betaapi.audiohook.com/v2/companies/:companyUUID/creatives/9999 \
-H "Authorization: Bearer ${API_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"request_headers": [
{ "name": "X-Request-Header", "value": "Header value" }
],
"body": {
"creative_name": "Updated Creative",
"advertiser_id": "1234-abcd-qwer-xcvb",
"status": true,
"tags": [...],
"start_flight_date": "2022-12-01",
"end_flight_date": "2023-01-01",
"campaigns": [123,124,125],
"events": [...],
"companion_ad": {
"click_through_url": "https://snarkyspizza.com/...",
"display_asset_filename": "eat-at-snarkys.png"
}
}
}'
โ Response Example
{
"Creative": 9999,
"s3_displayad": { ... }
}
๐ HTTP Request
PATCH /v2/companies/:companyUUID/creatives/:creativeId
๐งพ Body Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| creative_name | โ | string | New creative name. |
| status | โ | boolean | Active or inactive status. |
| start_flight_date | โ | string | Start date (Y-M-D). |
| end_flight_date | โ | string | End date (Y-M-D). |
| events | โ | array | Pixel events to attach. |
| tags | โ | array | Categorization tags. |
| companion_ad | โ | object | Display ad object. |
| campaigns | โ | array | Associated campaign IDs. |
| advertiser_id | โ | string | UUID of the advertiser. |

